;----------------------------------------------------------------------------;
; CGB-Link                                                                   ;
;----------------------------------------------------------------------------;

INCLUDE "HEADER.INC"
  HDR_INFO
  HDR_START Main
  HDR_TITLE "CGB-Link"

INCLUDE "STDLIB.ASM"
;INCLUDE "TEXTMODE.ASM"
INCLUDE "TITLE.ASM"

;----------------------------------------------------------------------------;

SECTION "RST 00", HOME[$00]
  jp    $C000
SECTION "RST 08", HOME[$08]
  jp    $C008
SECTION "RST 10", HOME[$10]
  jp    $C010
SECTION "RST 18", HOME[$18]
  jp    $C018
SECTION "RST 20", HOME[$20]
  jp    $C020
SECTION "RST 28", HOME[$28]
  jp    $C028
SECTION "RST 30", HOME[$30]
  jp    $C030
SECTION "RST 38", HOME[$38]
  jp    $C038
SECTION "VBL IRQ", HOME[$40]
  jp    $C040
SECTION "LCD IRQ", HOME[$48]
  jp    $C048
SECTION "TIM IRQ", HOME[$50]
  jp    $C050
SECTION "SIO IRQ", HOME[$58]
  jp    $C058
SECTION "JOY IRQ", HOME[$60]
  jp    $C060

;----------------------------------------------------------------------------;
; Main                                                                       ;
;----------------------------------------------------------------------------;

SECTION "Main", HOME
Main::
  call  ShowTitle
  di
  jp    Link_ROM

;----------------------------------------------------------------------------;

SwitchToRAM:
  ld    hl, Link_RAM
  ld    bc, Link_RAM_end-Link_RAM
  ld    de, $C000
  call  Copy
  jp    $C000

;----------------------------------------------------------------------------;

Link_ROM:
DP = 0
INCLUDE "LINKIO.ASM"

SECTION "Link RAM", HOME[$200]
Link_RAM:
DP = $C000-$4000
INCLUDE "LINKIO.ASM"
Link_RAM_end:

;----------------------------------------------------------------------------;
