;----------------------------------------------------------------------------;

INCLUDE "160X144.ASM"
INCLUDE "LCD.ASM"

Map:
INCBIN "MAP.BIN"
Tiles:
INCBIN "TILES.BIN"
Palettes:
dw 31,20,8,0
dw 992,640,256,0
dw 32074,20612,8258,0
dw 1023,660,264,0
dw 32022,24590,12295,0
dw 32384,20896,8352,0
dw 17376,10880,4352,0
dw 32767,21140,8456,0

;----------------------------------------------------------------------------;

ShowTitle:
  call  InitGraph
  ld    a, 0
  ldh   [_IE], a        ;no irq's are needed for this image

  ld    hl, Palettes
  call  SetBkgPalettes

  ld    a, 1
  ldh   [_VBK], a

  ld    de, Map + 18*32
  ld    hl, $9800
  ld    bc, 32*18/16
  call  VCopyTiles

  ld    a, 0
  ldh   [_VBK], a

  ld    de, Map
  ld    hl, $9800
  ld    bc, 32*18/16
  call  VCopyTiles

  ld    de, Tiles
  ld    hl, $8000+140*16
  ld    c, 200-140
  call  VCopyTiles
ret

;----------------------------------------------------------------------------;
